Skip to main content

Welcome to our updated site!

Skyhigh Security

Hardware Security Module Versions for Secure Web Gateway

Several versions of a Hardware Security Module (HSM) offered as models by different vendors can be used in a solution with Secure Web Gateway (SWG) where private keys for secure connections are stored on the module. You can run various combinations of client software, which is installed together with Secure Web Gateway, and firmware versions.

The following tables show the HSM models that we recommend for use with different client software and firmware versions. Loading and creating a Security World is also possible with firmware versions older than what is recommended, see the Remarks column.

Our recommendations are provided for using an HSM module with:

  • Secure Web Gateway 10.2 or higher

  • Secure Web Gateway lower than 10.2 

They are based on testing performed before releasing a particular Secure Web Gateway version. Refer to your module vendor for compatibility changes that might have occurred later on.
 

Secure Web Gateway 10.2 or Higher  

Vendor HSM Model Client Software Firmware Remarks on Security World Usage
Entrust nShield Solo XC 12.60 12.60 Load and Create for version 2 supported with Client Software 12.60 and Firmware 12.60

Only Create for version 2 supported with Client Software 12.60 and Firmware 12.40 

Load and Create for version 2 supported with Client Software 12.60 and Firmware 12.40 plus compatibility packs

Load and Create for version 3 supported with Client Software 12.60 and Firmware 12.50 or later (tested with 12.60.9)
Entrust nShield Connect XC 12.60 12.60 As above (Firmware to support Load and Create for version 3 tested with 12.60.10)
Thales/SafeNet/Gemalto SafeNet NetHSM
(Luna 7.2.0)
7.4.0-226 7.0.1 Not applicable 

 

Secure Web Gateway Lower Than 10.2  

Vendor HSM Model Client Software Firmware Remarks on Security World Usage
Entrust nShield Solo XC 12.40 3.4.2 Load and Create supported for version 2
 
Entrust nShield Connect XC 12.40 12.40 As above
Thales/SafeNet/Gemalto SafeNet NetHSM
(Luna 7.2.0)
7.4.0-226 7.0.1 Not applicable

 

  • Was this article helpful?